import path from 'path';
import { createFile } from '../../util/createFile.mjs';
import { createPath } from '../../util/createPath.mjs';
import { readFile } from '../../util/readFile.mjs';

const prepareTemplateFile = async ({ config, fileList, }) => {
    const templateFileList = [];
    for (const filePath of fileList) {
        const fileName = path.basename(filePath) + '-default.md';
        const fileDir = path.dirname(filePath);
        const templateFilePath = createPath([config.projectCatalog, filePath]);
        templateFileList.push(templateFilePath);
        const content = await readFile(templateFilePath);
        await createFile({
            filePath: createPath([config.templateCatalogPath, fileDir, fileName]),
            content,
            isDebug: config.isDebug,
            options: {
                overwriteFile: true,
            },
        });
    }
    return { config, templateFileList, fileList };
};

export { prepareTemplateFile };
